> ## Documentation Index
> Fetch the complete documentation index at: https://syteca.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange Client ID / Client Secret for Access Token

> Endpoint to exchange a Client ID / Client Secret for a short-lived Access Token. First call every ACB consumer makes using Syteca version 7.28 or later.



## OpenAPI

````yaml /api-specs/acb-secrets.yaml post /api/token
openapi: 3.0.3
info:
  title: Application Credentials Broker API
  description: >-
    API for managing secrets and folders in the Application Credentials Broker
    system
  version: 1.4.0
  contact:
    name: API Support
    email: support@example.com
servers:
  - url: https://your-syteca-host/SytecaACB
    description: On-premises Syteca ACB service (v1.2 or later)
    variables:
      hostname:
        default: your-syteca-host.example.com
        description: Your Syteca Application Server hostname
  - url: https://your-syteca-host/EkranACB
    description: Legacy URL prefix for ACB deployments updated from pre-v1.2
    variables:
      hostname:
        default: your-syteca-host.example.com
        description: Your Syteca Application Server hostname
security:
  - AccessTokenAuth: []
paths:
  /api/token:
    post:
      tags:
        - Authentication
      summary: Exchange Client ID / Client Secret for Access Token
      description: >-
        Endpoint to exchange a Client ID / Client Secret for a short-lived
        Access Token. First call every ACB consumer makes using Syteca version
        7.28 or later.
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/GetBearerTokenRequest'
      responses:
        '200':
          description: Access Token issued successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBearerAccessTokenResponse'
        '400':
          description: >-
            Missing grant_type, client_id/client_secret or grant_type is not
            client_credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Invalid Client ID / Client Secret or expired, rotated Client Secret
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: IP Address restriction blocks the request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security: []
components:
  schemas:
    GetBearerTokenRequest:
      type: object
      required:
        - grant_type
        - client_id
        - client_secret
      properties:
        grant_type:
          type: string
          enum:
            - client_credentials
          description: OAuth 2.0 grant type.
        client_id:
          type: string
          description: >-
            Client ID from the user's Application Account Settings in the
            Management Tool.
        client_secret:
          type: string
          description: >-
            Client Secret from the user's Application Account Settings in the
            Management Tool, which is shown once after adding it.
    GetBearerAccessTokenResponse:
      type: object
      properties:
        access_token:
          type: string
          description: >-
            Access Token to use on subsequent API calls (Authorization header
            for new endpoints).
        token_type:
          type: string
          description: >-
            Access Token Type to use on subsequent API calls (Authorization
            header for new endpoints).
        expires_in:
          type: integer
          format: int32
          description: Seconds until the Access Token expires. Default 900. Minimum 60.
    ErrorResponse:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        message:
          type: string
          description: Error message
      required:
        - status
        - message
  securitySchemes:
    AccessTokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Access token for authentication

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.